Skip to main content
`Ctrl`+`K`

# PetscErrorPrintfInitialize

Cache the architecture, host name, user name, program name and date so that PETSc’s error-traceback printer does not need to make system calls from inside a signal handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscErrorPrintfInitialize(void)

Collective

## Note

Called from `PetscInitialize()`; users normally do not need to call this directly.

## See Also

`PetscErrorPrintf`, `PetscTraceBackErrorHandler()`, `PetscPushErrorHandler()`

## Level

developer

## Location

src/sys/error/errtrace.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages